<?xml version="1.0"?>
<bidi:Schema xmlns:bidi="http://schemas.microsoft.com/windows/2010/09/printing/usbbidi">
	
  <Property name="Printer">
	
    
    <Property name="Configuration">
			<Property name="DuplexUnit">
				<Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Configuration.DuplexUnit:Installed;MultiStrCompBool;GetSimplePrinterAttributes;sides-supported;two-sided-long-edge;two-sided-short-edge" refreshInterval="60" drvPrinterEvent="true"/>
			</Property>
      <Property name="Mopier">
        <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Configuration.Mopier:Installed;StrCompBool;GetSimplePrinterAttributes;multiple-document-handling-supported;separate-documents-collated-copies" drvPrinterEvent="true"/>
      </Property>
		</Property>
    <Property name="Status">
      <Property name="Summary">
        <Value name="StateReason" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Status.Summary:StateReason;GetAttributeString;GetSimplePrinterAttributes;printer-state-reasons"  drvPrinterEvent="true"/>
      </Property>
    </Property>
    
    
    
    <Property name="Layout">
      <Property name="InputBins">
        <Property name="Tray001">
          
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray001:Installed;GetOctetStringValues2;GetSimplePrinterAttributes;printer-input-tray;Tray 1" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:MediaType;GetAttributeString;GetTrayAttributes;media-col-default;auto;media-type" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:MediaSize;GetAttributeString;GetTrayAttributes;media-col-default;auto;media-size.media-size-name" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:FeedDirection;GetAttributeString;GetTrayAttributes;media-col-default;auto;media-source-properties.media-source-feed-direction" drvPrinterEvent="true"/>
          <Value name="Capacity" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:Capacity;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 1;maxcapacity" drvPrinterEvent="true"/>
          <Value name="Level" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:Level;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 1;level" drvPrinterEvent="true"/>
         
        </Property>
        <Property name="Tray002">
          
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray002:Installed;GetOctetStringValues2;GetSimplePrinterAttributes;printer-input-tray;Tray 2" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:MediaType;GetAttributeString;GetTrayAttributes;media-col-ready;tray-2;media-type" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:MediaSize;GetAttributeString;GetTrayAttributes;media-col-ready;tray-2;media-size.media-size-name" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:FeedDirection;GetAttributeString;GetTrayAttributes;media-col-ready;tray-2;media-source-properties.media-source-feed-direction" drvPrinterEvent="true"/>
          <Value name="Capacity" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:Capacity;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 2;maxcapacity" drvPrinterEvent="true"/>
          <Value name="Level" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:Level;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 2;level" drvPrinterEvent="true"/>
        
        </Property>
        <Property name="Tray003">
         
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray003:Installed;GetOctetStringValues2;GetSimplePrinterAttributes;printer-input-tray;Tray 3" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray003:MediaType;GetAttributeString;GetTrayAttributes;media-col-ready;tray-3;media-type" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray003:MediaSize;GetAttributeString;GetTrayAttributes;media-col-ready;tray-3;media-size.media-size-name" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray003:FeedDirection;GetAttributeString;GetTrayAttributes;media-col-ready;tray-3;media-source-properties.media-source-feed-direction" drvPrinterEvent="true"/>
          <Value name="Capacity" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray003:Capacity;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 3;maxcapacity" drvPrinterEvent="true"/>
          <Value name="Level" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray003:Level;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 3;level" drvPrinterEvent="true"/>
        </Property>
        <Property name="Tray005">
          
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray005:Installed;GetOctetStringValues2;GetSimplePrinterAttributes;printer-input-tray;Tray 4" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray005:MediaType;GetAttributeString;GetTrayAttributes;media-col-ready;tray-4;media-type" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray005:MediaSize;GetAttributeString;GetTrayAttributes;media-col-ready;tray-4;media-size.media-size-name" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray005:FeedDirection;GetAttributeString;GetTrayAttributes;media-col-ready;tray-4;media-source-properties.media-source-feed-direction" drvPrinterEvent="true"/>
          <Value name="Capacity" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray005:Capacity;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 4;maxcapacity" drvPrinterEvent="true"/>
          <Value name="Level" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray005:Level;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 4;level" drvPrinterEvent="true"/>
        </Property>
        <Property name="Tray006">
          
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray006:Installed;GetOctetStringValues2;GetSimplePrinterAttributes;printer-input-tray;Tray 5" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray006:MediaType;GetAttributeString;GetTrayAttributes;media-col-ready;tray-5;media-type" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray006:MediaSize;GetAttributeString;GetTrayAttributes;media-col-ready;tray-5;media-size.media-size-name" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray006:FeedDirection;GetAttributeString;GetTrayAttributes;media-col-ready;tray-5;media-source-properties.media-source-feed-direction" drvPrinterEvent="true"/>
          <Value name="Capacity" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray006:Capacity;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 5;maxcapacity" drvPrinterEvent="true"/>
          <Value name="Level" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray006:Level;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 5;level" drvPrinterEvent="true"/>
        </Property>
<Property name="Tray007">
          
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray007:Installed;GetOctetStringValues2;GetSimplePrinterAttributes;printer-input-tray;Tray 6" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray007:MediaType;GetAttributeString;GetTrayAttributes;media-col-ready;tray-6;media-type" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray007:MediaSize;GetAttributeString;GetTrayAttributes;media-col-ready;tray-6;media-size.media-size-name" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray007:FeedDirection;GetAttributeString;GetTrayAttributes;media-col-ready;tray-6;media-source-properties.media-source-feed-direction" drvPrinterEvent="true"/>
          <Value name="Capacity" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray007:Capacity;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 6;maxcapacity" drvPrinterEvent="true"/>
          <Value name="Level" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray007:Level;GetOctetStringValues;GetSimplePrinterAttributes;printer-input-tray;Tray 6;level" drvPrinterEvent="true"/>
        </Property>

        <Property name="Tray004">
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray004:Installed;GetOctetStringValues2;GetSimplePrinterAttributes;printer-input-tray;Envelope Feeder" drvPrinterEvent="true"/>
        </Property>
        
      </Property>
    </Property>

    <Property name="Finishing">
      <Property name="OutputBins">
        <Property name="Bin1">
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Finishing.OutputBins.Bin1:Installed;StrCompBool;GetSimplePrinterAttributes;output-bin-supported;tray-1" drvPrinterEvent="true"/>
        </Property>
        <Property name="Bin2">
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Finishing.OutputBins.Bin2:Installed;StrCompBool;GetSimplePrinterAttributes;output-bin-supported;tray-2" drvPrinterEvent="true"/>
        </Property>
        <Property name="Bin3">
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Finishing.OutputBins.Bin3:Installed;StrCompBool;GetSimplePrinterAttributes;output-bin-supported;tray-3" drvPrinterEvent="true"/>
        </Property>
        <Property name="Bin4">
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Finishing.OutputBins.Bin4:Installed;StrCompBool;GetSimplePrinterAttributes;output-bin-supported;tray-4" drvPrinterEvent="true"/>
        </Property>
        <Property name="Bin5">
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Finishing.OutputBins.Bin5:Installed;StrCompBool;GetSimplePrinterAttributes;output-bin-supported;tray-5" drvPrinterEvent="true"/>
        </Property>
      </Property>
    </Property>


    

  </Property>
</bidi:Schema>
